PO4A-TRANSLATE.1P(1)

NOME
po4a-translate - converter um ficheiro PO de volta ao formato de documentação

RESUMO
po4a-translate -f fmt -m master.doc -p XX.po -l XX.doc

(XX.doc é a saída, todos os outros são entradas)

DESCRIÇÃO
O objetivo do projeto po4a (PO for anything: PO para qualquer coisa) é facilitar traduções (e o mais interessante, a manutenção das traduções) a usar as ferramentas do gettext em áreas em que não se esperava, como na documentação.

O script po4a-translate é responsável por converter a tradução (que foi feita num ficheiro PO) de volta para o formato de documentação. O ficheiro PO fornecido deverá ser a tradução do ficheiro POT que foi produzido por po4a-gettextize(1).

OPÇÕES

-f, --format
    O formato da documentação que pretende processar. Use a opção --help-format para ver a lista de formatos disponíveis.

-a, --addendum
    Adicionar um ficheiro ao ficheiro resultante (para pôr o nome do tradutor ou uma secção "Sobre esta tradução", por exemplo). A primeira linha do ficheiro para inserção deve ser um cabeçalho PO4A a indicar onde ele deve ser adicionado (ver secção COMO adicionar texto extra para traduções em po4a(7)).

-A, --addendum-charset
    Conjunto de caracteres da adenda. Note-se que todas as adendas devem estar no mesmo conjunto de caracteres.

-m, --master
    Ficheiro a conter o documento principal para traduzir.

-M, --master-charset
    Conjunto de caracteres do ficheiro que contém o documento a traduzir.

-l, --localized
    Ficheiro onde o documento localizado (traduzido) deve ser escrito.

-L, --localized-charset
    Conjunto de caracteres do ficheiro que contém o documento localizado.

-p, --po
    Ficheiro a partir do qual o catálogo de mensagens deve ser lido.

-o, --option
    Opção/ções adicional/ais para passar ao plugin de formato. Veja a documentação de cada plugin para mais informações sobre as opções válidas e os significados deles. Por exemplo, poderia passar '-o tablecells' para o analisador AsciiDoc, enquanto o analisador de texto aceitaria '-o tabs=split'.

-k, --keep
    Limite mínimo de percentagem de tradução para manter (ou seja, escrever) o ficheiro resultante (predefinição: 80). Isto é, por predefinição, ficheiros têm que ser traduzidos a pelo menos 80% para serem escritos.

-w, --width
    Coluna na qual devemos quebrar linha no ficheiro resultante se o formato suportar (padrão: 76). Se o valor fornecido for 0 ou negativo, o ficheiro resultante não terá quebra de linha. Isto é útil com alguns formatos que podem ficar danificados ao quebrar linha novamente.

-h, --help
    Mostrar uma pequena mensagem de ajuda.

--help-format
    Lista os formatos de documentação compreendidos por po4a.

-V, --version
    Mostrar a versão do script e sai.

-v, --verbose
    Aumenta os detalhes do programa.

-d, --debug
    Produz alguma informação de depuração.

Adicionar conteúdo (além de traduções) para ficheiros gerados
Para adicionar algum conteúdo extra ao documento gerado além do que traduziu (como o nome do tradutor ou uma secção "Sobre essa tradução"), deve usar a opção --addendum.

A primeira linha da adenda deve ser um cabeçalho a indicar onde colocá-lo no documento (que pode ser antes ou depois de uma determinada parte do documento). O resto do ficheiro será adicionado na íntegra para o ficheiro resultante sem processamento posterior.

Note que se po4a-translate não conseguir adicionar um dos ficheiros dados, ele descarta toda a tradução (porque o ficheiro que falta poderia ser o que indica o autor, o que impediria aos utilizadores o contato com ele para reportar erros na tradução).

O cabeçalho tem uma sintaxe bastante rígida. Para mais informações sobre como usar esse recurso e como ele funciona, consulte o manual do po4a(7).

VEJA TAMBÉM
po4a-gettextize(1), po4a-normalize(1), po4a-updatepo(1), po4a(7)

AUTORES
 Denis Barbier <barbier@linuxfr.org>
 Nicolas François <nicolas.francois@centraliens.net>
 Martin Quinson (mquinson#debian.org)

DIREITOS DE AUTOR E LICENÇA
Copyright 2002-2023 por SPI, inc.

Este programa é um software livre; pode redistribuí-lo e/ou modificá-lo sob os termos da GPL v2.0 ou posterior (veja o ficheiro COPYING).